#!/usr/bin/env python

from numpy import *

# MESA T1 Arc design
#===================
# Units

grad = pi/180

# Internal experiment beam arc 1 

f = open('Int.lte', 'w')

f.write('''
Intd11: DRIFT, l = 0.107517
Intd12: DRIFT, l= 0.05
Intd13: DRIFT, l=0.50
Intd14: DRIFT, l=0.50
Intd21: DRIFT, l=0.70
Intd22: DRIFT, l=0.70
Intd23: DRIFT, l=0.50
Intd24: DRIFT, l=0.50
Intd31: DRIFT, l=0.70
Intd32: DRIFT, l=0.70
Intd33: DRIFT, l=0.50
Intd34: DRIFT, l=0.50
Intd41: DRIFT, l=0.05
Intd42: DRIFT, l=0.05
Intd43: DRIFT, l=1.35
Intd44: DRIFT, l=0.15
Intd51: DRIFT, l=0.15
Intd52: DRIFT, l=1.35
Intd53: DRIFT, l=0.05
Intd54: DRIFT, l=0.05
Intd61: DRIFT, l=0.85
Intd62: DRIFT, l=0.05
Intd63: DRIFT, l=0.50
Intd64: DRIFT, l=0.50
Intd71: DRIFT, l=0.20
Intd72: DRIFT, l=0.20
Intd73: DRIFT, l=0.50
Intd74: DRIFT, l=0.20
Intd81: DRIFT, l=0.50
Intd82: DRIFT, l=0.50
Intd83: DRIFT, l=0.05
Intd84: DRIFT, l=0.50
Intd91: DRIFT, l=0.05
Intd92: DRIFT, l=1.90
Intd93: DRIFT, l=0.05
Intd94: DRIFT, l=1.20
Intd101: DRIFT, l=0.05
Intd102: DRIFT, l=0.50
Intd103: DRIFT, l=0.50
Intd111: DRIFT, l=0.30
Intd112: DRIFT, l=0.30
Intd113: DRIFT, l=0.50
Intd114: DRIFT, l=0.30
Intd115: DRIFT, l=0.05
Intd121: DRIFT, l=1.4375
Intd122: DRIFT, l=0.05
Intd123: DRIFT, l=2.875
Intd124: DRIFT, l=0.05
Intd125: DRIFT, l=2.875
Intd126: DRIFT, l=0.05
Intd127: DRIFT, l=2.875
Intd128: DRIFT, l=0.05
Intd129: DRIFT, l=1.4375
Intd131: DRIFT, l=0.107517
Intd132: DRIFT, l=0.05
Intd133: DRIFT, l=0.598854
Intd134: DRIFT, l=0.77367
Intd135: DRIFT, l=0.50
Intd136: DRIFT, l=0.15
Intd137: DRIFT, l=0.15
Intd138: DRIFT, l=0.50
Intd139: DRIFT, l=0.77367
Intd1310: DRIFT, l=0.50
Intd1311: DRIFT, l=0.09128
Intd1312: DRIFT, l=0.09128
Intd1313: DRIFT, l=0.50
Intd1314: DRIFT, l=0.050
Intd1315: DRIFT, l=0.50
''')


f.write('''
Intqd11: QUADRUPOLE, l=0.20, k1=0.01
Intqd12: QUADRUPOLE, l=0.20, k1=0.01
Intqd13: QUADRUPOLE, l=0.20, k1=0.01
Intqd21: QUADRUPOLE, l=0.20, k1=0.01
Intqd22: QUADRUPOLE, l=0.20, k1=0.01
Intqd23: QUADRUPOLE, l=0.20, k1=0.01
Intqd31: QUADRUPOLE, l=0.20, k1=0.01
Intqd32: QUADRUPOLE, l=0.20, k1=0.01
Intqd33: QUADRUPOLE, l=0.20, k1=0.01
Intqd41: QUADRUPOLE, l=0.20, k1=0.01
Intqd42: QUADRUPOLE, l=0.20, k1=0.01
Intqd43: QUADRUPOLE, l=0.20, k1=0.01
Intqd51: QUADRUPOLE, l=0.20, k1=0.01
Intqd52: QUADRUPOLE, l=0.20, k1=0.01
Intqd53: QUADRUPOLE, l=0.20, k1=0.01
Intqd61: QUADRUPOLE, l=0.20, k1=0.01
Intqd62: QUADRUPOLE, l=0.20, k1=0.01
Intqd63: QUADRUPOLE, l=0.20, k1=0.01
Intqd71: QUADRUPOLE, l=0.20, k1=0.01
Intqd72: QUADRUPOLE, l=0.20, k1=0.01
Intqd73: QUADRUPOLE, l=0.20, k1=0.01
Intqd81: QUADRUPOLE, l=0.20, k1=0.01
Intqd82: QUADRUPOLE, l=0.20, k1=0.01
Intqd91: QUADRUPOLE, l=0.20, k1=0.01
Intqd92: QUADRUPOLE, l=0.20, k1=0.01
Intqd93: QUADRUPOLE, l=0.20, k1=0.01
Intqd101: QUADRUPOLE, l=0.20, k1=0.01
Intqd102: QUADRUPOLE, l=0.20, k1=0.01
Intqd103: QUADRUPOLE, l=0.20, k1=0.01
Intqd111: QUADRUPOLE, l=0.20, k1=0.01
Intqd112: QUADRUPOLE, l=0.20, k1=0.01
Intqd113: QUADRUPOLE, l=0.20, k1=0.01
Intqd114: QUADRUPOLE, l=0.20, k1=0.01
Intqd121: QUADRUPOLE, l=0.20, k1=0.01
Intqd122: QUADRUPOLE, l=0.20, k1=0.01
Intqd123: QUADRUPOLE, l=0.20, k1=0.01
Intqd124: QUADRUPOLE, l=0.20, k1=0.01
Intqd125: QUADRUPOLE, l=0.20, k1=0.01
Intqd126: QUADRUPOLE, l=0.20, k1=0.01
Intqd127: QUADRUPOLE, l=0.20, k1=0.01
Intqd128: QUADRUPOLE, l=0.20, k1=0.01
Intqd131: QUADRUPOLE, l=0.20, k1=0.01
Intqd132: QUADRUPOLE, l=0.20, k1=0.01
Intqd133: QUADRUPOLE, l=0.20, k1=0.01
Intqd134: QUADRUPOLE, l=0.20, k1=0.01
Intqd135: QUADRUPOLE, l=0.20, k1=0.01
Intqd136: QUADRUPOLE, l=0.20, k1=0.01
Intqd137: QUADRUPOLE, l=0.20, k1=0.01

''')


f.write('Intdip11: SBEND, l = 0.697695, angle = '+ str(30*grad) +',tilt= '+ \
   str(180*grad) +' , hgap = 0.025, fint= 0.4, k2 = 4.4 \n')

f.write('Intdip21: SBEND, l = 0.628737, angle = '+ str(30*grad) +' , tilt= '+ \
   str(180*grad) +', hgap = 0.025, fint = 0.4, k2=4.4\n')

f.write('Intdip31: SBEND, l = 0.628737, angle = '+ str(30*grad) +', tilt= '+ \
   str(180*grad) +' , hgap = 0.025, fint=0.4, k2=4.4\n')

f.write('Intdip61: SBEND, l=0.838317, angle= '+ str(40*grad) \
   +' , hgap=0.025, fint=0.4, k2=4.4\n')

f.write('Intdip71: SBEND, l=0.838317, angle= '+ str(40*grad) \
   +', hgap=0.025, fint=0.4, k2=4.4\n')

f.write('Intdip81: SBEND, l=0.838317, angle= '+ str(40*grad)\
   + ' , hgap=0.025, fint=0.4, k2=4.4\n')

f.write('Intdip101: SBEND, l=0.943106, angle='+ str(45*grad) \
   +' , hgap=0.025, fint=0.4, k2=4.4\n')

f.write('Intdip111: SBEND, l=0.943106, angle= ' + str(45*grad ) \
   + ' , hgap=0.025, fint=0.4, k2=4.4\n')

f.write('Intdip131: SBEND, l=0.671524, angle= '+ str(25.21*grad) +' , tilt= ' + \
   str(90*grad) +', hgap=0.025, fint=0.4, e2= '+ str(25.21*grad ) +', k2=4.4\n')

f.write('Intdip132: SBEND, l=0.39621, angle= '+ str(25.21*grad) +', tilt= ' + 
   str(-90*grad) +', hgap=0.025, fint=0.4, e1= '+ str(25.21*grad) +', k2=4.4\n')

f.write('Intdip133: SBEND, l=0.39621, angle= '+ str(25.21*grad) +' , tilt= '+ \
   str(90*grad) +' , hgap = 0.025, fint = 0.4, e2 = '+  str(25.21*grad) +', k2=4.4\n')

f.write('Intdip134: SBEND, l=0.671524, angle= '+ str(25.21*grad) +', tilt= ' + \
   str(-90*grad ) +' ,hgap=0.025, fint=0.4, e1= '+ str(25.21*grad) +' , e2= '+ str(-10*grad) +', k2=4.4\n')

f.write('Intdip135: SBEND, l=0.350553, angle= '+  str(3.06*grad) +', hgap=0.025, fint=0.4,\
    e2= ' + str(3.06*grad) +', k2=4.4\n')

f.write('Intdip136: SBEND, l=0.350553, angle= '+ str(6.12*grad) +', tilt= '+ \
   str(180*grad) +' , hgap = 0.025, fint = 0.4, e1= '+  str(3.06*grad) +', e2= '+ str(3.06*grad)+', k2=4.4\n')

f.write('Intdip137: SBEND, l=0.350553, angle= '+ str(3.06*grad) +', tilt = '+ \
   str(180*grad) +' , hgap=0.025, fint=0.4, e1= '+ str(3.06*grad) +', k2=4.4 \n')

# Marker

f.write('''
IntStart: mark
Intiestart: mark
Inta2start: mark
Intend: mark
''')

f.write('''
Int: line = ( Intstart, Intd11, Intd12,Intqd12,
Intd13,
Intdip11,
Intd14, Intqd13,
Intd21, Intqd21, Intd22, Intqd22, Intd23, Intdip21, Intd24, Intqd23,
Intd31, Intqd31, Intd32, Intqd32, Intd33, Intdip31, Intd34, Intqd33,
Intiestart,
Intqd41, Intd41, Intqd42, Intd42, Intqd43, Intd43, Intd42,
Intd51, Intd52, Intqd51, Intd53,Intqd52, Intd54, Intqd53, Inta2start
Intd61, Intqd61, Intd62, Intqd62, Intd63, Intdip61, Intd64, Intqd63,
Intd71, Intqd71, Intd72, Intdip71, Intd73, Intqd72, Intd74, Intqd73,
Intd81, Intdip81, Intd82, Intqd81, Intd83, Intqd82, Intd84,
Intqd91, Intd91, Intd92, Intqd92, Intd93, Intqd93, Intd94, 
Intqd101, Intd101, Intqd102, Intd102, Intdip101, Intd103, Intqd103,
Intd111, Intqd111, Intd112, Intqd112, Intd113, Intdip111, Intd114,
Intqd113, Intd115, Intqd114,
Intd121, Intqd121, Intd122, Intqd122, Intd123, Intqd123, Intd124, Intqd124,
Intd125, Intqd125,
Intd126, Intqd126, Intd127, Intqd127, Intd128, Intqd128, Intd129,
Intd131, Intqd131, Intd132, Intqd132, Intd133,
Intdip131, Intd134, Intdip132, Intd135, Intqd133, Intd136, 
Intqd134, Intd137, Intqd135, Intd138,
Intdip133, Intd139, Intdip134, Intd1310,
Intdip135, Intd1311, Intdip136, Intd1312, 
Intdip137, Intd1313, Intqd136, Intd1314, Intqd137, Intd1315,Intend) 

''')
f.close() 

